'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _CustomButton = require('../CustomButton/CustomButton');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var CardSocial = function (_React$Component) {
  _inherits(CardSocial, _React$Component);

  function CardSocial() {
    _classCallCheck(this, CardSocial);

    return _possibleConstructorReturn(this, (CardSocial.__proto__ || Object.getPrototypeOf(CardSocial)).apply(this, arguments));
  }

  _createClass(CardSocial, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: 'social' },
        this.props.socials.map(function (prop, key) {
          var socialObj = {};
          socialObj[prop.name] = true;
          var social = [socialObj];
          return social.map(function (item, index) {
            return _react2.default.createElement(
              _CustomButton.CustomButton,
              _extends({ icon: true, round: true, key: key, href: prop.link }, item),
              _react2.default.createElement('i', { className: 'fa fa-' + prop.name })
            );
          });
        }),
        this.props.description !== undefined ? _react2.default.createElement(
          'h5',
          { className: 'card-description' },
          this.props.description
        ) : null
      );
    }
  }]);

  return CardSocial;
}(_react2.default.Component);

CardSocial.propTypes = {
  // example: [{name: "name of the social (can be any of font awesome social images)", link:"where the user should be redirected on icon click"}, ...]
  // to see what names you can pass, please take a look inside the src/views/Components/Buttons.jsx - scoial buttons
  socials: _propTypes2.default.arrayOf(_propTypes2.default.object),
  // description under the socials
  description: _propTypes2.default.node
};

exports.default = CardSocial;