'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _CustomButton = require('../CustomButton/CustomButton');

var _CustomButton2 = _interopRequireDefault(_CustomButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var CardSocials = function (_React$Component) {
  _inherits(CardSocials, _React$Component);

  function CardSocials() {
    _classCallCheck(this, CardSocials);

    return _possibleConstructorReturn(this, (CardSocials.__proto__ || Object.getPrototypeOf(CardSocials)).apply(this, arguments));
  }

  _createClass(CardSocials, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        'div',
        { className: 'button-container' },
        this.props.socials.map(function (prop, key) {
          return _react2.default.createElement(
            _CustomButton2.default,
            { neutral: true, icon: true, round: true, size: _this2.props.size, key: key, href: prop.link },
            _react2.default.createElement('i', { className: prop.icon })
          );
        })
      );
    }
  }]);

  return CardSocials;
}(_react2.default.Component);

CardSocials.propTypes = {
  size: _propTypes2.default.oneOf(['sm', 'lg']),
  socials: _propTypes2.default.arrayOf(_propTypes2.default.object)
};

exports.default = CardSocials;