'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

var _reactstrap = require('reactstrap');

var _FontAwesome = require('../FontAwesome/FontAwesome');

var _FontAwesome2 = _interopRequireDefault(_FontAwesome);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MenuItemHeader = function (_React$Component) {
  _inherits(MenuItemHeader, _React$Component);

  function MenuItemHeader(props) {
    _classCallCheck(this, MenuItemHeader);

    var _this = _possibleConstructorReturn(this, (MenuItemHeader.__proto__ || Object.getPrototypeOf(MenuItemHeader)).call(this, props));

    _this.state = {
      dropdownOpen: false
    };

    _this.dropdownToggle = _this.dropdownToggle.bind(_this);
    return _this;
  }

  _createClass(MenuItemHeader, [{
    key: 'dropdownToggle',
    value: function dropdownToggle() {
      var dropdownOpen = this.state.dropdownOpen;


      this.setState({
        dropdownOpen: !dropdownOpen
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          children = _props.children,
          to = _props.to,
          icon = _props.icon,
          label = _props.label;
      var dropdownOpen = this.state.dropdownOpen;


      return !children ? _react2.default.createElement(
        _reactstrap.NavItem,
        null,
        _react2.default.createElement(
          _reactRouterDom.Link,
          { to: to, className: 'nav-link' },
          _react2.default.createElement(_FontAwesome2.default, { icon: icon }),
          ' ',
          _react2.default.createElement(
            'p',
            null,
            _react2.default.createElement(
              'span',
              { className: 'd-lg-none d-md-block' },
              label
            )
          )
        )
      ) : _react2.default.createElement(
        _reactstrap.Dropdown,
        { nav: true, isOpen: dropdownOpen, toggle: function toggle() {
            return _this2.dropdownToggle();
          } },
        _react2.default.createElement(
          _reactstrap.DropdownToggle,
          { caret: true, nav: true },
          _react2.default.createElement(_FontAwesome2.default, { icon: icon }),
          ' ',
          _react2.default.createElement(
            'p',
            null,
            _react2.default.createElement(
              'span',
              { className: 'd-lg-none d-md-block' },
              label
            )
          )
        ),
        _react2.default.createElement(
          _reactstrap.DropdownMenu,
          { right: true },
          children
        )
      );
    }
  }]);

  return MenuItemHeader;
}(_react2.default.Component);

MenuItemHeader.propTypes = {
  children: _propTypes2.default.any,
  to: _propTypes2.default.string,
  icon: _propTypes2.default.string,
  label: _propTypes2.default.string
};

MenuItemHeader.defaultProps = {};

exports.default = MenuItemHeader;