"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require("reactstrap");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var Instructions = function (_React$Component) {
  _inherits(Instructions, _React$Component);

  function Instructions() {
    _classCallCheck(this, Instructions);

    return _possibleConstructorReturn(this, (Instructions.__proto__ || Object.getPrototypeOf(Instructions)).apply(this, arguments));
  }

  _createClass(Instructions, [{
    key: "render",
    value: function render() {
      return _react2.default.createElement(
        "div",
        { className: "instruction" },
        _react2.default.createElement(
          _reactstrap.Row,
          null,
          _react2.default.createElement(
            _reactstrap.Col,
            { md: 8, xs: 12 },
            this.props.title !== undefined ? _react2.default.createElement(
              "strong",
              null,
              this.props.title
            ) : null,
            this.props.description !== undefined ? _react2.default.createElement(
              "p",
              { className: "description" },
              this.props.description
            ) : null
          ),
          _react2.default.createElement(
            _reactstrap.Col,
            { md: 4, xs: 12 },
            this.props.img !== undefined ? _react2.default.createElement(
              "div",
              { className: "picture" },
              _react2.default.createElement("img", {
                src: this.props.img,
                alt: this.props.imgAlt,
                className: "rounded img-raised"
              })
            ) : null
          )
        )
      );
    }
  }]);

  return Instructions;
}(_react2.default.Component);

Instructions.propTypes = {
  title: _propTypes2.default.node,
  img: _propTypes2.default.string,
  imgAlt: _propTypes2.default.string,
  description: _propTypes2.default.node
};

exports.default = Instructions;