'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require('reactstrap');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _CustomButton = require('../CustomButton/CustomButton');

var _SimpleCheckbox = require('../CustomCheckbox/SimpleCheckbox');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var Task = function (_React$Component) {
  _inherits(Task, _React$Component);

  function Task() {
    _classCallCheck(this, Task);

    return _possibleConstructorReturn(this, (Task.__proto__ || Object.getPrototypeOf(Task)).apply(this, arguments));
  }

  _createClass(Task, [{
    key: 'render',
    value: function render() {
      var tasksList = [];
      var number;
      var edit;
      var remove;
      for (var i = 0; i < this.props.tasks.length; i++) {
        number = 'checkbox' + i;
        edit = 'edit' + i;
        remove = 'remove' + i;
        tasksList.push(_react2.default.createElement(
          'tr',
          { key: i },
          _react2.default.createElement(
            'td',
            null,
            _react2.default.createElement(_SimpleCheckbox.SimpleCheckbox, {
              inputProps: {
                value: number,
                defaultChecked: this.props.tasks[i].checked
              }
            })
          ),
          _react2.default.createElement(
            'td',
            { className: 'img-row' },
            _react2.default.createElement(
              'div',
              { className: 'img-wrapper img-raised' },
              _react2.default.createElement('img', { src: this.props.tasks[i].image, alt: '...' })
            )
          ),
          _react2.default.createElement(
            'td',
            { className: 'text-left' },
            this.props.tasks[i].text
          ),
          _react2.default.createElement(
            'td',
            { className: 'td-actions text-right' },
            _react2.default.createElement(
              _CustomButton.CustomButton,
              { id: edit, round: true, icon: true, iconMini: true, neutral: true, color: 'info' },
              _react2.default.createElement('i', { className: 'now-ui-icons ui-2_settings-90' })
            ),
            _react2.default.createElement(
              _reactstrap.UncontrolledTooltip,
              { placement: 'top', target: edit, delay: 0 },
              'Edit Task'
            ),
            _react2.default.createElement(
              _CustomButton.CustomButton,
              { id: remove, round: true, icon: true, iconMini: true, neutral: true, color: 'danger' },
              _react2.default.createElement('i', { className: 'now-ui-icons ui-1_simple-remove' })
            ),
            _react2.default.createElement(
              _reactstrap.UncontrolledTooltip,
              { placement: 'top', target: remove, delay: 0 },
              'Remove'
            )
          )
        ));
      }
      return _react2.default.createElement(
        'div',
        { className: 'table-full-width table-responsive' },
        _react2.default.createElement(
          'table',
          { className: 'table' },
          _react2.default.createElement(
            'tbody',
            null,
            tasksList
          )
        )
      );
    }
  }]);

  return Task;
}(_react2.default.Component);

Task.propTypes = {
  tasks: _propTypes2.default.arrayOf(_propTypes2.default.object)
};

exports.default = Task;