'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactRouterDom = require('react-router-dom');

var _reactstrap = require('reactstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CustomButton = function (_Component) {
  _inherits(CustomButton, _Component);

  function CustomButton() {
    _classCallCheck(this, CustomButton);

    return _possibleConstructorReturn(this, (CustomButton.__proto__ || Object.getPrototypeOf(CustomButton)).apply(this, arguments));
  }

  _createClass(CustomButton, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          disabled = _props.disabled,
          simple = _props.simple,
          round = _props.round,
          icon = _props.icon,
          neutral = _props.neutral,
          iconMini = _props.iconMini,
          leftLabel = _props.leftLabel,
          rightLabel = _props.rightLabel,
          wd = _props.wd,
          className = _props.className,
          twitter = _props.twitter,
          facebook = _props.facebook,
          google = _props.google,
          linkedin = _props.linkedin,
          pinterest = _props.pinterest,
          youtube = _props.youtube,
          tumblr = _props.tumblr,
          github = _props.github,
          behance = _props.behance,
          dribbble = _props.dribbble,
          reddit = _props.reddit,
          stumbleupon = _props.stumbleupon,
          block = _props.block,
          grow = _props.grow,
          to = _props.to,
          onClick = _props.onClick,
          children = _props.children,
          instagram = _props.instagram,
          size = _props.size;


      var btnClasses = (0, _classnames2.default)({
        grow: grow,
        'btn-simple': simple,
        'btn-round': round,
        'btn-icon': icon,
        'btn-neutral': neutral,
        'btn-icon btn-icon-mini': iconMini,
        'btn-wd': wd,
        'btn-twitter': twitter,
        'btn-facebook': facebook,
        'btn-google': google,
        'btn-linkedin': linkedin,
        'btn-pinterest': pinterest,
        'btn-youtube': youtube,
        'btn-tumblr': tumblr,
        'btn-github': github,
        'btn-behance': behance,
        'btn-dribbble': dribbble,
        'btn-reddit': reddit,
        'btn-stumbleupon': stumbleupon,
        'btn-instagram': instagram
      });

      if (className !== undefined) {
        btnClasses += ' ' + className;
      }

      var DefaultButton = function DefaultButton() {
        return _react2.default.createElement(
          _reactstrap.Button,
          {
            disabled: disabled,
            className: btnClasses,
            onClick: onClick,
            block: block,
            size: size
          },
          leftLabel ? _react2.default.createElement(
            'span',
            { className: 'btn-label' },
            _react2.default.createElement('i', { className: leftLabel }),
            ' '
          ) : null,
          children,
          rightLabel ? _react2.default.createElement(
            'span',
            { className: 'btn-label btn-label-right' },
            _react2.default.createElement('i', { className: rightLabel }),
            ' '
          ) : null
        );
      };

      return to ? _react2.default.createElement(
        _reactRouterDom.Link,
        { to: to },
        _react2.default.createElement(DefaultButton, null)
      ) : _react2.default.createElement(DefaultButton, null);
    }
  }]);

  return CustomButton;
}(_react.Component);

CustomButton.propTypes = {
  leftLabel: _propTypes2.default.any,
  rightLabel: _propTypes2.default.any,
  grow: _propTypes2.default.bool,
  to: _propTypes2.default.string,
  className: _propTypes2.default.string,
  block: _propTypes2.default.bool,
  children: _propTypes2.default.any,
  onClick: _propTypes2.default.func,
  simple: _propTypes2.default.bool,
  round: _propTypes2.default.bool,
  icon: _propTypes2.default.bool,
  neutral: _propTypes2.default.bool,
  iconMini: _propTypes2.default.bool,
  wd: _propTypes2.default.bool,
  twitter: _propTypes2.default.bool,
  facebook: _propTypes2.default.bool,
  google: _propTypes2.default.bool,
  linkedin: _propTypes2.default.bool,
  pinterest: _propTypes2.default.bool,
  youtube: _propTypes2.default.bool,
  tumblr: _propTypes2.default.bool,
  github: _propTypes2.default.bool,
  behance: _propTypes2.default.bool,
  dribbble: _propTypes2.default.bool,
  reddit: _propTypes2.default.bool,
  stumbleupon: _propTypes2.default.bool,
  instagram: _propTypes2.default.bool,
  size: _propTypes2.default.string,
  disabled: _propTypes2.default.bool
};

exports.default = CustomButton;