'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require('reactstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CustomButtonDropdown = function (_Component) {
  _inherits(CustomButtonDropdown, _Component);

  function CustomButtonDropdown(props) {
    _classCallCheck(this, CustomButtonDropdown);

    var _this = _possibleConstructorReturn(this, (CustomButtonDropdown.__proto__ || Object.getPrototypeOf(CustomButtonDropdown)).call(this, props));

    _this.toggle = _this.toggle.bind(_this);
    _this.state = {
      dropdownOpen: false
    };
    return _this;
  }

  _createClass(CustomButtonDropdown, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.mounted = true;
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      this.mounted = false;
    }
  }, {
    key: 'toggle',
    value: function toggle() {
      if (this.mounted) {
        var dropdownOpen = this.state.dropdownOpen;


        this.setState({
          dropdownOpen: !dropdownOpen
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          label = _props.label,
          caret = _props.caret,
          group = _props.group;
      var dropdownOpen = this.state.dropdownOpen;

      return _react2.default.createElement(
        _reactstrap.ButtonDropdown,
        { isOpen: dropdownOpen, toggle: this.toggle, group: group },
        _react2.default.createElement(
          _reactstrap.DropdownToggle,
          { caret: caret },
          label
        ),
        _react2.default.createElement(
          _reactstrap.DropdownMenu,
          null,
          children
        )
      );
    }
  }]);

  return CustomButtonDropdown;
}(_react.Component);

CustomButtonDropdown.propTypes = {
  children: _propTypes2.default.any,
  label: _propTypes2.default.any,
  caret: _propTypes2.default.bool,
  group: _propTypes2.default.bool
};

CustomButtonDropdown.defaultProps = {
  caret: true,
  group: false
};

exports.default = CustomButtonDropdown;