"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var IconCheckbox = function (_React$Component) {
  _inherits(IconCheckbox, _React$Component);

  function IconCheckbox(props) {
    _classCallCheck(this, IconCheckbox);

    var _this = _possibleConstructorReturn(this, (IconCheckbox.__proto__ || Object.getPrototypeOf(IconCheckbox)).call(this, props));

    _this.state = {
      checked: ""
    };
    _this.checkboxClick = _this.checkboxClick.bind(_this);
    return _this;
  }

  _createClass(IconCheckbox, [{
    key: "checkboxClick",
    value: function checkboxClick() {
      if (this.state.checked !== "") {
        this.setState({
          checked: ""
        });
      } else {
        this.setState({
          checked: " active"
        });
      }
      this.refs.checkbox.click();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react2.default.createElement(
        "div",
        {
          className: "choice" + this.state.checked,
          onClick: function onClick() {
            return _this2.checkboxClick();
          }
        },
        _react2.default.createElement("input", {
          type: "checkbox",
          name: this.props.name,
          value: this.props.value,
          ref: "checkbox"
        }),
        _react2.default.createElement(
          "div",
          { className: "icon" },
          _react2.default.createElement("i", { className: this.props.icon })
        ),
        this.props.title !== undefined ? _react2.default.createElement(
          "h6",
          null,
          this.props.title
        ) : null
      );
    }
  }]);

  return IconCheckbox;
}(_react2.default.Component);

IconCheckbox.propTypes = {
  name: _propTypes2.default.string.isRequired,
  value: _propTypes2.default.string.isRequired,
  icon: _propTypes2.default.string.isRequired
};

exports.default = IconCheckbox;