'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require('reactstrap');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var CustomProgress = function (_React$Component) {
  _inherits(CustomProgress, _React$Component);

  function CustomProgress() {
    _classCallCheck(this, CustomProgress);

    return _possibleConstructorReturn(this, (CustomProgress.__proto__ || Object.getPrototypeOf(CustomProgress)).apply(this, arguments));
  }

  _createClass(CustomProgress, [{
    key: 'render',
    value: function render() {
      var badge = this.props.badge;

      return _react2.default.createElement(
        'div',
        {
          className: 'progress-container' + (this.props.color !== undefined ? ' progress-' + this.props.color : '') },
        this.props.badge !== undefined ? _react2.default.createElement(
          'span',
          { className: 'progress-badge' },
          this.props.badge
        ) : null,
        _react2.default.createElement(
          _reactstrap.Progress,
          this.props,
          this.props.value !== undefined ? _react2.default.createElement(
            'span',
            { className: 'progress-value' },
            this.props.value,
            '%'
          ) : null
        )
      );
    }
  }]);

  return CustomProgress;
}(_react2.default.Component);

CustomProgress.propTypes = {
  badge: _propTypes2.default.node
};

exports.default = CustomProgress;