"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require("reactstrap");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// used for making the prop types of this component


var CustomRadio = function (_React$Component) {
  _inherits(CustomRadio, _React$Component);

  function CustomRadio() {
    _classCallCheck(this, CustomRadio);

    return _possibleConstructorReturn(this, (CustomRadio.__proto__ || Object.getPrototypeOf(CustomRadio)).apply(this, arguments));
  }

  _createClass(CustomRadio, [{
    key: "render",
    value: function render() {
      var classes = "";
      if (this.props.formGroupProps !== undefined) {
        if (this.props.formGroupProps.className !== undefined) {
          classes += " " + this.props.formGroupProps.className;
        }
      }
      return _react2.default.createElement(
        _reactstrap.FormGroup,
        _extends({
          check: true
        }, this.props.formGroupProps, {
          className: "form-check-radio" + classes
        }),
        _react2.default.createElement(
          _reactstrap.Label,
          _extends({ check: true }, this.props.labelProps),
          _react2.default.createElement(_reactstrap.Input, _extends({}, this.props.inputProps, { type: "radio" })),
          _react2.default.createElement("span", { className: "form-check-sign" }),
          this.props.label ? this.props.label : ""
        )
      );
    }
  }]);

  return CustomRadio;
}(_react2.default.Component);

CustomRadio.propTypes = {
  label: _propTypes2.default.node
};

exports.default = CustomRadio;