'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactstrap = require('reactstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PagesHeader = function (_React$Component) {
  _inherits(PagesHeader, _React$Component);

  function PagesHeader(props) {
    _classCallCheck(this, PagesHeader);

    var _this = _possibleConstructorReturn(this, (PagesHeader.__proto__ || Object.getPrototypeOf(PagesHeader)).call(this, props));

    _this.state = {
      isOpen: false
    };
    _this.toggle = _this.toggle.bind(_this);
    return _this;
  }

  _createClass(PagesHeader, [{
    key: 'toggle',
    value: function toggle() {
      this.setState({
        isOpen: !this.state.isOpen
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactstrap.Navbar,
        { expand: 'lg', className: 'bg-white' },
        _react2.default.createElement(
          _reactstrap.Container,
          { fluid: true },
          _react2.default.createElement(
            'div',
            { className: 'navbar-wrapper' },
            _react2.default.createElement(
              _reactstrap.NavbarBrand,
              { className: 'm-3', href: this.props.href },
              this.props.brand
            ),
            _react2.default.createElement(
              'div',
              { className: 'navbar-toggle' },
              _react2.default.createElement(
                _reactstrap.NavbarToggler,
                { onClick: this.toggle },
                _react2.default.createElement('span', { className: 'navbar-toggler-bar bar1' }),
                _react2.default.createElement('span', { className: 'navbar-toggler-bar bar2' }),
                _react2.default.createElement('span', { className: 'navbar-toggler-bar bar3' })
              )
            )
          ),
          _react2.default.createElement(
            _reactstrap.Collapse,
            { isOpen: this.state.isOpen, navbar: true },
            _react2.default.createElement(
              _reactstrap.Nav,
              { className: 'ml-auto', navbar: true },
              this.props.children
            )
          )
        )
      );
    }
  }]);

  return PagesHeader;
}(_react2.default.Component);

PagesHeader.propTypes = {
  href: _propTypes2.default.string,
  children: _propTypes2.default.any,
  brand: _propTypes2.default.any
};

PagesHeader.defaultProps = {};

exports.default = PagesHeader;