'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactstrap = require('reactstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Statistics = function (_React$Component) {
  _inherits(Statistics, _React$Component);

  function Statistics() {
    _classCallCheck(this, Statistics);

    return _possibleConstructorReturn(this, (Statistics.__proto__ || Object.getPrototypeOf(Statistics)).apply(this, arguments));
  }

  _createClass(Statistics, [{
    key: 'render',
    value: function render() {
      var icon = _react2.default.createElement(
        'div',
        {
          className: 'icon icon-' + this.props.iconState + (this.props.horizontal ? ' icon-circle' : '')
        },
        _react2.default.createElement('i', { className: this.props.icon })
      );
      var title = _react2.default.createElement(
        'h3',
        { className: 'info-title' },
        this.props.title
      );
      var subtitle = _react2.default.createElement(
        'h6',
        { className: 'stats-title' },
        this.props.subtitle
      );
      return _react2.default.createElement(
        'div',
        { className: 'statistics' + (this.props.horizontal ? ' statistics-horizontal' : '') },
        _react2.default.createElement(
          'div',
          { className: 'info' + (this.props.horizontal ? ' info-horizontal' : '') },
          this.props.horizontal ? _react2.default.createElement(
            _reactstrap.Row,
            null,
            _react2.default.createElement(
              _reactstrap.Col,
              { xs: 5 },
              icon
            ),
            _react2.default.createElement(
              _reactstrap.Col,
              { xs: 7, className: 'text-right' },
              title,
              subtitle
            )
          ) : _react2.default.createElement(
            'div',
            null,
            icon,
            title,
            subtitle
          )
        )
      );
    }
  }]);

  return Statistics;
}(_react2.default.Component);

Statistics.defaultProps = {
  iconState: 'default'
};

Statistics.propTypes = {
  iconState: _propTypes2.default.oneOf(['primary', 'success', 'info', 'danger', 'warning', 'default']),
  icon: _propTypes2.default.string,
  title: _propTypes2.default.node,
  subtitle: _propTypes2.default.node,
  horizontal: _propTypes2.default.bool
};

exports.default = Statistics;