'use strict';

var _Accordion = require('./components/Accordion/Accordion');

var _Accordion2 = _interopRequireDefault(_Accordion);

var _CardAuthor = require('./components/CardElements/CardAuthor');

var _CardAuthor2 = _interopRequireDefault(_CardAuthor);

var _CardCategory = require('./components/CardElements/CardCategory');

var _CardCategory2 = _interopRequireDefault(_CardCategory);

var _CardDescription = require('./components/CardElements/CardDescription');

var _CardDescription2 = _interopRequireDefault(_CardDescription);

var _CardIcon = require('./components/CardElements/CardIcon');

var _CardIcon2 = _interopRequireDefault(_CardIcon);

var _CardSocial = require('./components/CardElements/CardSocial');

var _CardSocial2 = _interopRequireDefault(_CardSocial);

var _CardSocials = require('./components/CardElements/CardSocials');

var _CardSocials2 = _interopRequireDefault(_CardSocials);

var _CardStats = require('./components/CardElements/CardStats');

var _CardStats2 = _interopRequireDefault(_CardStats);

var _Content = require('./components/Content/Content');

var _Content2 = _interopRequireDefault(_Content);

var _CustomButtonDropdown = require('./components/CustomButtonDropdown/CustomButtonDropdown');

var _CustomButtonDropdown2 = _interopRequireDefault(_CustomButtonDropdown);

var _CustomButton = require('./components/CustomButton/CustomButton');

var _CustomButton2 = _interopRequireDefault(_CustomButton);

var _IconCheckbox = require('./components/CustomCheckbox/IconCheckbox');

var _IconCheckbox2 = _interopRequireDefault(_IconCheckbox);

var _SimpleCheckbox = require('./components/CustomCheckbox/SimpleCheckbox');

var _SimpleCheckbox2 = _interopRequireDefault(_SimpleCheckbox);

var _CustomProgress = require('./components/CustomProgress/CustomProgress');

var _CustomProgress2 = _interopRequireDefault(_CustomProgress);

var _CustomRadio = require('./components/CustomRadio/CustomRadio');

var _CustomRadio2 = _interopRequireDefault(_CustomRadio);

var _ImageUpload = require('./components/CustomUpload/ImageUpload');

var _ImageUpload2 = _interopRequireDefault(_ImageUpload);

var _PictureUpload = require('./components/CustomUpload/PictureUpload');

var _PictureUpload2 = _interopRequireDefault(_PictureUpload);

var _FontAwesome = require('./components/FontAwesome/FontAwesome');

var _FontAwesome2 = _interopRequireDefault(_FontAwesome);

var _Footer = require('./components/Footer/Footer');

var _Footer2 = _interopRequireDefault(_Footer);

var _FormInputs = require('./components/FormInputs/FormInputs');

var _FormInputs2 = _interopRequireDefault(_FormInputs);

var _Header = require('./components/Header/Header');

var _Header2 = _interopRequireDefault(_Header);

var _MenuItemHeader = require('./components/Header/MenuItemHeader');

var _MenuItemHeader2 = _interopRequireDefault(_MenuItemHeader);

var _PagesHeader = require('./components/Header/PagesHeader');

var _PagesHeader2 = _interopRequireDefault(_PagesHeader);

var _InfoArea = require('./components/InfoArea/InfoArea');

var _InfoArea2 = _interopRequireDefault(_InfoArea);

var _Instructions = require('./components/Instructions/Instructions');

var _Instructions2 = _interopRequireDefault(_Instructions);

var _LabelDataTable = require('./components/LabelDataTable/LabelDataTable');

var _LabelDataTable2 = _interopRequireDefault(_LabelDataTable);

var _PanelHeader = require('./components/PanelHeader/PanelHeader');

var _PanelHeader2 = _interopRequireDefault(_PanelHeader);

var _SectionCard = require('./components/SectionCard/SectionCard');

var _SectionCard2 = _interopRequireDefault(_SectionCard);

var _MenuItemSidebar = require('./components/Sidebar/MenuItemSidebar');

var _MenuItemSidebar2 = _interopRequireDefault(_MenuItemSidebar);

var _MenuNavSidebar = require('./components/Sidebar/MenuNavSidebar');

var _MenuNavSidebar2 = _interopRequireDefault(_MenuNavSidebar);

var _Sidebar = require('./components/Sidebar/Sidebar');

var _Sidebar2 = _interopRequireDefault(_Sidebar);

var _UserSidebar = require('./components/Sidebar/UserSidebar');

var _UserSidebar2 = _interopRequireDefault(_UserSidebar);

var _Statistics = require('./components/Statistics/Statistics');

var _Statistics2 = _interopRequireDefault(_Statistics);

var _Stats = require('./components/Stats/Stats');

var _Stats2 = _interopRequireDefault(_Stats);

var _Tasks = require('./components/Tasks/Tasks');

var _Tasks2 = _interopRequireDefault(_Tasks);

var _Timeline = require('./components/Timeline/Timeline');

var _Timeline2 = _interopRequireDefault(_Timeline);

var _UploadDropzone = require('./components/UploadDropzone/UploadDropzone');

var _UploadDropzone2 = _interopRequireDefault(_UploadDropzone);

var _Dashboard = require('./layouts/Dashboard/Dashboard');

var _Dashboard2 = _interopRequireDefault(_Dashboard);

var _Pages = require('./layouts/Pages/Pages');

var _Pages2 = _interopRequireDefault(_Pages);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  Accordion: _Accordion2.default,
  Button: _CustomButton2.default,
  CardAuthor: _CardAuthor2.default,
  CardCategory: _CardCategory2.default,
  CardDescription: _CardDescription2.default,
  CardIcon: _CardIcon2.default,
  CardSocial: _CardSocial2.default,
  CardSocials: _CardSocials2.default,
  CardStats: _CardStats2.default,
  Checkbox: _SimpleCheckbox2.default,
  Content: _Content2.default,
  CustomButtonDropdown: _CustomButtonDropdown2.default,
  Dashboard: _Dashboard2.default,
  FontAwesome: _FontAwesome2.default,
  Footer: _Footer2.default,
  FormInputs: _FormInputs2.default,
  Header: _Header2.default,
  IconCheckbox: _IconCheckbox2.default,
  ImageUpload: _ImageUpload2.default,
  InfoArea: _InfoArea2.default,
  Instructions: _Instructions2.default,
  LabelDataTable: _LabelDataTable2.default,
  MenuItemHeader: _MenuItemHeader2.default,
  MenuItemSidebar: _MenuItemSidebar2.default,
  MenuNavSidebar: _MenuNavSidebar2.default,
  Pages: _Pages2.default,
  PagesHeader: _PagesHeader2.default,
  PanelHeader: _PanelHeader2.default,
  PictureUpload: _PictureUpload2.default,
  Progress: _CustomProgress2.default,
  Radio: _CustomRadio2.default,
  SectionCard: _SectionCard2.default,
  Sidebar: _Sidebar2.default,
  Statistics: _Statistics2.default,
  Stats: _Stats2.default,
  Tasks: _Tasks2.default,
  Timeline: _Timeline2.default,
  UploadDropzone: _UploadDropzone2.default,
  UserSidebar: _UserSidebar2.default
};