'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _perfectScrollbar = require('perfect-scrollbar');

var _perfectScrollbar2 = _interopRequireDefault(_perfectScrollbar);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ps = void 0;

var Pages = function (_React$Component) {
  _inherits(Pages, _React$Component);

  function Pages() {
    _classCallCheck(this, Pages);

    return _possibleConstructorReturn(this, (Pages.__proto__ || Object.getPrototypeOf(Pages)).apply(this, arguments));
  }

  _createClass(Pages, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      if (navigator.platform.indexOf('Win') > -1) {
        var container = document.querySelector('#fullPages');
        ps = new _perfectScrollbar2.default(container);
      }
    }
  }, {
    key: 'componentDidUpdate',
    value: function componentDidUpdate() {
      if (navigator.platform.indexOf('Win') > -1) {
        ps.update();
      }
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      if (navigator.platform.indexOf('Win') > -1) {
        ps.destroy();
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          header = _props.header,
          children = _props.children,
          footer = _props.footer;


      return _react2.default.createElement(
        'div',
        null,
        header,
        _react2.default.createElement(
          'div',
          { className: 'wrapper wrapper-full-page', id: 'fullPages' },
          _react2.default.createElement(
            'div',
            { className: 'full-page' },
            _react2.default.createElement(
              'div',
              { className: 'full-page-content' },
              _react2.default.createElement(
                _reactRouterDom.Switch,
                null,
                children
              ),
              footer
            )
          )
        )
      );
    }
  }]);

  return Pages;
}(_react2.default.Component);

Pages.propTypes = {
  children: _propTypes2.default.any,
  header: _propTypes2.default.element,
  footer: _propTypes2.default.element
};

Pages.defaultProps = {};

exports.default = Pages;